Skip to main content
GET
/
cloud
/
v2
/
client_quotas
/
{client_id}
/
notification_threshold
Python
import os
from gcore import Gcore

client = Gcore(
    api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
)
notification_threshold = client.cloud.quotas.notification_threshold.get(
    3,
)
print(notification_threshold.client_id)
{
  "client_id": 2,
  "last_message": {
    "global_quotas": {},
    "regional_quotas": [
      {
        "region_id": 2,
        "region_name": "Luxembourg"
      }
    ]
  },
  "last_sending": null,
  "threshold": 95
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

client_id
integer
required

Client ID

Example:

3

Response

200 - application/json

OK

client_id
integer
required

Client id

Example:

2

last_message
QuotasThresholdSerializer · object
required

A message data

last_sending
string<date-time> | null
required

Time of last successful email sending

Example:

null

threshold
integer
required

Quota notification threshold in percentage

Required range: 60 <= x <= 100
Example:

95